using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class EncryptionResponsePacket : Packet
    {
        public byte[] decryptedToken {  get; set; }

        public EncryptionResponsePacket(byte[] decryptedToken)
        {
            this.decryptedToken = decryptedToken;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            return decryptedToken;
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0x0C, PacketFlags.None);
        }

        #endregion
    }
}